[arch-commits] Commit in renderproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 16:02:52 EDT 2009


    Date: Friday, April 17, 2009 @ 16:02:51
  Author: eric
Revision: 35846

Merged revisions 356,35840 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/renderproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35840 | eric | 2009-04-17 15:41:05 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: renderproto 0.9.3-2
      Added license
........

Modified:
  renderproto/repos/extra-i686/	(properties)
  renderproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: renderproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /renderproto/trunk:1
   + /renderproto/trunk:1-35845

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-17 20:00:29 UTC (rev 35845)
+++ extra-i686/PKGBUILD	2009-04-17 20:02:51 UTC (rev 35846)
@@ -3,16 +3,18 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=renderproto
 pkgver=0.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Render extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(http://xorg.freedesktop.org/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('598bc9a493deee2e48e4434e94467189')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('598bc9a493deee2e48e4434e94467189')



More information about the arch-commits mailing list